## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iPcMechanicsJoint Struct Reference

A joint. More...

`#include <propclass/mechsys.h>`

List of all members.

## Public Member Functions

virtual iJoint * | GetJoint ()=0
| Get the joint corresponding with this.

## Detailed Description

A joint.

This property class supports the following actions (add prefix 'cel.action.' to get the ID of the action and add prefix 'cel.parameter.' to get the ID of the parameter):

- SetParentBody: parameters 'body' (string).
- SetPosition: parameters 'position' (vector3).
- SetConstrainDist: parameters 'x' (bool), 'y' (bool), and 'z' (bool).
- SetDistances: parameters 'min' (vector3) and 'max' (vector3).
- SetConstrainAngle: parameters 'x' (bool), 'y' (bool), and 'z' (bool).
- SetAngles: parameters 'min' (vector3) and 'max' (vector3).

Definition at line 619 of file mechsys.h.

## Member Function Documentation

virtual iJoint* iPcMechanicsJoint::GetJoint | ( |  | ) | `[pure virtual]`

| Get the joint corresponding with this.

The documentation for this struct was generated from the following file:

- propclass/mechsys.h